APIAgents
List agents
List all agent instances in the organization.
GET
List all agent instances in the organization.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_agent_instancesoffset?integerNumber of items to skip before returning results.
Format
int32Range
0 <= valueDefault
0limit?integerMaximum number of items to return per page.
Format
int32Range
0 <= value <= 256Default
10search?stringFree-text search term to filter results by name. Also matches the owning user's display name.
Length
length <= 255agent_slug?array<string>user_id?array<>sort_by?stringField to sort a list of agent instances by.
Default
"created_at"Value in
"created_at""display_name""last_used_at"sort_order?stringDirection to sort results.
Default
"desc"Value in
"asc""desc"The request has succeeded.
application/json- response
A page of results together with its paging information.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/agent-instances"{ "items": [ { "id": null, "user_id": null, "user_display_name": "string", "display_name": "string", "metadata": { "client_name": "string", "client_version": "string", "protocol_version": "string", "user_agent": "string", "ip_address": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "last_used_at": "2019-08-24T14:15:22Z", "revoked_at": "2019-08-24T14:15:22Z", "agent_slug": "string", "external_id": "string", "token_endpoint_auth_method": "string", "is_dcr_managed": true } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}